// CORRESPONDIENTE A LA PARTE AJAX
// GLOBALES
var http_request = false;

// BUSQUEDA DE CERTIFICADO POR NUMERO DE SERIE
function hazPeticion(url, obj) {
// Generar la URL
	var getstr = "?";
	var opc;
	if (url == "gestCerts.html"){
		opc = 1;
		for (i=0; i<obj.childNodes.length; i++) {
			if (obj.childNodes[i].tagName == "INPUT") {
				if (obj.childNodes[i].type == "hidden") {
					getstr += obj.childNodes[i].name + "=" + obj.childNodes[i].value + "&";
				}
				if (obj.childNodes[i].type == "text") {
					getstr += obj.childNodes[i].name + "=" + obj.childNodes[i].value;
				}
			}
		}
	}
	if (url == "ioReq.html"){
		opc = 2;
		for (i=0; i<obj.childNodes.length; i++) {
			if (obj.childNodes[i].tagName == "INPUT") {
				if (obj.childNodes[i].type == "text") {
					getstr += obj.childNodes[i].name + "=" + obj.childNodes[i].value;
				}
			}
		}
	}
//  getstr += "button=Buscar";
	url += getstr;
// Parte propia de AJAX
	http_request = false;
	http_request= new XMLHttpRequest();
	if (http_request.overrideMimeType) {
		http_request.overrideMimeType('text/xml');
	}
	if (!http_request) {
		alert('Error al crear la instancia de XMLHttpRequest.');
		return false;
	}
// Esto es un callback, que se dispara al terminar de
// descargar el fichero xml.
	if (opc == 1){
		http_request.onreadystatechange = modificaContenido1;
	}
	if (opc == 2){
		http_request.onreadystatechange = modificaContenido2;
	}
	http_request.open('GET', url, true);
	http_request.send(null);
}

function modificaContenido1() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			var xmldoc = http_request.responseXML;	// creamos variable para manejar el documento XML

			var cert = xmldoc.getElementsByTagName('cert');
			if (cert.length == 0){		// Si no existe certificado con el numero de serie buscado
				alert ("El número de serie introducido no corresponde a ningún certificado existente.")
			}
			else{
				var numSer = cert.item(0).getAttribute('numSer');			// captura el atributo numSer
				var cn = xmldoc.getElementsByTagName('cn').item(0);			// cn es un array conteniendo las etiquetas <cn>
				var sn = xmldoc.getElementsByTagName('sn').item(0);			// sn es un array conteniendo las etiquetas <sn>
				var o = xmldoc.getElementsByTagName('o').item(0);			// o es un array conteniendo las etiquetas <o>
				var ou = xmldoc.getElementsByTagName('ou').item(0);			// ou es un array conteniendo las etiquetas <ou>
				var est = xmldoc.getElementsByTagName('estado').item(0);	// est es un array conteniendo las etiquetas <est>
				var cad = xmldoc.getElementsByTagName('fechaRev').item(0);	// est es un array conteniendo las etiquetas <est>

				var contenedor2 = document.getElementById("contenedor2");
				var p1 = document.createElement("p1");
				var p2 = document.createElement("p2");
				var p3 = document.createElement("p3");
				var p4 = document.createElement("p4");
				var p5 = document.createElement("p5");
				var p6 = document.createElement("p6");

				p1.textContent = cn.firstChild.data;
				p2.textContent = sn.firstChild.data;
				p3.textContent = o.firstChild.data;
				p4.textContent = ou.firstChild.data;
				p5.textContent = est.firstChild.data;
				p6.textContent = cad.firstChild.data;

				var titulo = document.getElementById("datos");
				document.getElementById('serie_1').innerHTML = numSer;
				document.getElementById('datos_1').innerHTML = p1.textContent + " " + p2.textContent + "<br>" + p3.textContent + ' (' + p4.textContent + ')';
				document.getElementById('observar_1').innerHTML = "<a href='./certs/" + numSer + ".html'><img src='../../images/icons/magnifier.png' title=\"Ver configuración del certificado.\"  width='16' height='16' border='0' /></a>";

				if (p5.textContent == "caducado"){
					document.getElementById('revocar_1').innerHTML = "<a href=\"#\" onClick=\"alert('El certificado con número de serie: " + numSer + " ya ha caducado.');return false;\"><img src=\"../../images/icons/time_delete.png\" title=\"Este certificado se encuentra caducado.\" width=\"16\" height=\"16\" border=\"0\" /></a>";
				}

				else if (p5.textContent == "revocado"){
					document.getElementById('revocar_1').innerHTML = "<a href=\"#\" onClick=\"alert('El certificado con número de serie: " + numSer + " ya se encuentra revocado.');return false;\"><img src=\"../../images/icons/cancel.png\" title=\"Este certificado se encuentra revocado.\" width=\"16\" height=\"16\" border=\"0\" /></a>";
				}

				else if (p5.textContent == "valido"){
					document.getElementById('revocar_1').innerHTML = "<input type=\"checkbox\" name=\"revocado1CHB\" /><input type=hidden id=\"revocado1Serial\" name=\"revocado1Serial\" class=\"element text medium\" type=\"text\"  value=" + numSer + ">";
				}
/*  Aclaración acerca del <input type=hidden> incluido en la sentencia anterior:
	La clase Manejador del módulo revocar.py requiere del número de serie del 
	certificado a revocar para llevarla a cabo, en caso de no añadir el 
	<input type="hidden">, al realizar una búsqueda rápida y señalar y aceptar 
	la revocación del certificado encontrado, el sistema trataría de revocar 
	siempre el último certificado emitido en vez del encontrado.
*/
			}
		}
		else {
			alert("Hubo un problema con la consulta.");
		}
	}
}



function modificaContenido2() {
	if (http_request.readyState == 4) {
		if (http_request.status == 200) {
			var xmldoc = http_request.responseXML;	// creamos variable para manejar el documento XML

			var req = xmldoc.getElementsByTagName('request');
			if (req.length == 0){		// Si no existe petición con el numero de serie buscado
				alert ("El número introducido no corresponde a ninguna petición existente.")
			}
			else{
				var idReq = req.item(0).getAttribute('id');									// captura el atributo id
				var idDocument = xmldoc.getElementsByTagName('idDocument').item(0);			// <idDocument>
				var codigo = xmldoc.getElementsByTagName('codigo').item(0);					// <codigo>
				var estado = xmldoc.getElementsByTagName('estado').item(0);					// <estado>

				var contenedor2 = document.getElementById("contenedor2");
				var p1 = document.createElement("p1");
				var p2 = document.createElement("p2");
				var p3 = document.createElement("p3");

				p1.textContent = idDocument.firstChild.data;
				p2.textContent = codigo.firstChild.data;
				p3.textContent = estado.firstChild.data;

				var titulo = document.getElementById("datos");
				document.getElementById('idPet_1').innerHTML = idReq;
				document.getElementById('datos_1').innerHTML = "NIF/CIF: " + p1.textContent + "<br>" + "Código: " + p2.textContent;
				document.getElementById('observar_1').innerHTML = "<a href=\"../web/requests/id_" + idReq + "_req.html\"><img src=\"../web/images/icons/magnifier.png\" width=\"16\" height=\"16\" border=\"0\" /></a>";


document.getElementById('estado_1').innerHTML = p3.textContent;

				if (p3.textContent == "espera"){
					document.getElementById('estado_1').innerHTML = "<img src=\"../web/images/icons/hourglass.png\" title=\"Petición esperando ser tratada.\" width=\"16\" height=\"16\" border=\"0\" />";
				}
				else if (p3.textContent == "aceptada"){
					document.getElementById('estado_1').innerHTML = "<img src=\"../web/images/icons/thumb_up.png\" title=\"Petición aceptada.\" width=\"16\" height=\"16\" border=\"0\" />";
				}
				else if (p3.textContent == "rechazada"){
					document.getElementById('estado_1').innerHTML = "<img src=\"../web/images/icons/thumb_down.png\" title=\"Petición rechazada.\" width=\"16\" height=\"16\" border=\"0\" />";
				}

			}
		}
		else {
			alert("Hubo un problema con la consulta.");
		}
	}
}



// Función para colorear el fondo del campo seleccionado
eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('3(7.X){7["R"+a]=a;7["z"+a]=6(){7["R"+a](7.1k)};7.X("1e",7["z"+a])}E{7.19("z",a,15)}2 j=H V();6 a(){2 e=q.1d("1a");3(e){o(e,"P");2 N=B(q,"*","14");3((e.12<=10)||(N=="")){c(e,"P",d)}}4=B(q,"*","1n");k(i=0;i<4.b;i++){3(4[i].F=="1g"||4[i].F=="1f"||4[i].F=="1c"){4[i].1b=6(){r();c(v.5.5,"f",d)};4[i].O=6(){r();c(v.5.5,"f",d)};j.D(j.b,0,4[i])}E{4[i].O=6(){r();c(v.5.5,"f",d)};4[i].18=6(){o(v.5.5,"f")}}}2 C=17.16.13();2 A=q.M("11");3(C.K("J")+1){c(A[0],"J",d)}3(C.K("I")+1){c(A[0],"I",d)}}6 r(){k(2 i=0;i<j.b;i++){o(j[i].5.5,"f")}}6 B(m,y,w){2 x=(y=="*"&&m.Y)?m.Y:m.M(y);2 G=H V();w=w.1m(/\\-/g,"\\\\-");2 L=H 1l("(^|\\\\s)"+w+"(\\\\s|$)");2 n;k(2 i=0;i<x.b;i++){n=x[i];3(L.1j(n.8)){G.1i(n)}}1h(G)}6 o(p,T){3(p.8){2 h=p.8.Z(" ");2 U=T.t();k(2 i=0;i<h.b;i++){3(h[i].t()==U){h.D(i,1);i--}}p.8=h.S(" ")}}6 c(l,u,Q){3(l.8){2 9=l.8.Z(" ");3(Q){2 W=u.t();k(2 i=0;i<9.b;i++){3(9[i].t()==W){9.D(i,1);i--}}}9[9.b]=u;l.8=9.S(" ")}E{l.8=u}}',62,86,'||var|if|elements|parentNode|function|window|className|_16|initialize|length|addClassName|true|_1|highlighted||_10||el_array|for|_13|_6|_c|removeClassName|_e|document|safari_reset||toUpperCase|_14|this|_8|_9|_7|load|_4|getElementsByClassName|_3|splice|else|type|_a|new|firefox|safari|indexOf|_b|getElementsByTagName|_2|onfocus|no_guidelines|_15|event_load|join|_f|_11|Array|_17|attachEvent|all|split|450|body|offsetWidth|toLowerCase|guidelines|false|userAgent|navigator|onblur|addEventListener|main_body|onclick|file|getElementById|onload|radio|checkbox|return|push|test|event|RegExp|replace|element'.split('|'),0,{}))
