#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

import time

# Funciones que trabajan con fechas

def posFechaAct (dia, mes, anyo):
	""" Nos dice si la fecha pasada en los argumentos es POSTERIOR a la fecha actual.

		@param1type: entero
		@param2type: entero
		@param3type: entero
		@rtype: logico (boolean)
		@return: False/True
	"""
	res = True
	tupTime = time.localtime()
	if anyo > tupTime.tm_year:
		res = True
	elif anyo < tupTime.tm_year:
		res = False
	else:		
		if mes > tupTime.tm_mon:
			res = True
		elif mes < tupTime.tm_mon:
			res = False
		else:
			if dia > tupTime.tm_mday:
				res = True
			else:
				res = False
	return res
